<?php
include_once 'functions.php';

add_action('admin_menu', 'turkcespin_create_meta_box');
add_action('admin_head', 'turkcespin_admin_head');
add_action('admin_menu', 'turkcespin_options_page');

add_action('wp_ajax_turkcespin_action', 'turkcespin_action');
add_action('wp_ajax_nopriv_turkcespin_action', 'turkcespin_action');

function turkcespin_action() {

    $article = stripslashes($_POST['title']) . "####><####" . stripslashes($_POST['content']);
    $result  = turkcespinApi(get_option('turkcespin-token'), $article);
    $result  = json_decode($result);

    $data    = array();
    if ($result->status == 'ok') {
        list($data['title'], $data['content']) = explode('####><####', $result->article);
    } else {
    	$data['error'] = $result->msg; 
    }
    wp_send_json($data);
}